## Index

### Interfaces

- ISignOrderParams
- IZeroExImplementation
- IZeroExOrder
- IZeroExSignedOrder

### Variables

- Tokens

### Functions

- convertOrderToSignedOrder
- convertStandardOrderToSignedOrder
- signOrder

## Variables

### Const Tokens

Tokens: TokenCache = tokenCache

- Defined in aqueduct.ts:1739

## Functions

### Const convertOrderToSignedOrder

- convertOrderToSignedOrder(order: Order): IZeroExSignedOrder

- - Defined in aqueduct.ts:1721

  #### Parameters

  - ##### order: Order

  #### Returns IZeroExSignedOrder

### Const convertStandardOrderToSignedOrder

- convertStandardOrderToSignedOrder(order: IStandardOrder): IZeroExSignedOrder

- - Defined in aqueduct.ts:1703

  #### Parameters

  - ##### order: IStandardOrder

  #### Returns IZeroExSignedOrder

### Const signOrder

- signOrder(zeroEx: IZeroExImplementation, params: ISignOrderParams): Promise<IStandardOrderCreationRequest>

- - Defined in aqueduct.ts:1667

  #### Parameters

  - ##### zeroEx: IZeroExImplementation

  - ##### params: ISignOrderParams

  #### Returns Promise<IStandardOrderCreationRequest>

Generated using TypeDoc